from algo import DeepSortModel


def run_deepsort(
        detect_id: int,
        weights_pt: str,
        idx_to_class: {},
        url
):
    """
    deep_sort追踪，先经过yolo对目标进行识别，
    再调用deepsort对目标进行追踪
    """
    deep_sort = DeepSortModel(weights_pt)
    deep_sort.sort_video(url=url, detect_id=detect_id, idx_to_class=idx_to_class)
